*==============================================================
* Rival Growth Prospects & Equity Prices: Evidence from Layoffs
*==============================================================

* Authors: Bordeman, Kannan, Pinheiro
* Objective: Generate results for paper
* Data Sources: Generate input files to download event study results from Eventus  

clear all
set more off
capture log close
set logtype text

cd "/Users/bkannan/Dropbox/Research/Contagion effects of layoffs/BKP codes and data/Data"

use ready_for_tables
*Collecting positive announcer groups
order cusip_8dig announce_date announcer positive_CAR_announcer
keep if announcer == 1 & sample_all_restrict_new==1 &  positive_CAR_announcer==1
keep cusip_8dig announce_date
format announce_date %tdCCYYNNDD
sort cusip_8dig announce_date
export delimited using positive_announcer_input.txt, delimiter(tab) novarnames replace

use ready_for_tables, clear
*Collecting Rivals for positive announcers
order cusip_8dig announce_date announcer positive_CAR_announcer
keep if announcer == 0 & sample_all_restrict_new==1 &  positive_CAR_announcer==1
keep cusip_8dig announce_date
format announce_date %tdCCYYNNDD
sort cusip_8dig announce_date
export delimited using rivals_for_pos_ann_input.txt, delimiter(tab) novarnames replace


use ready_for_tables, clear
*Collecting negative announcer groups
order cusip_8dig announce_date announcer positive_CAR_announcer
keep if announcer == 1 & sample_all_restrict_new==1 &  positive_CAR_announcer==0
keep cusip_8dig announce_date
format announce_date %tdCCYYNNDD
sort cusip_8dig announce_date
export delimited using negative_announcer_input.txt, delimiter(tab) novarnames replace

use ready_for_tables, clear
*Collecting Rivals for negative announcers
order cusip_8dig announce_date announcer positive_CAR_announcer
keep if announcer == 0 & sample_all_restrict_new==1 &  positive_CAR_announcer==0
keep cusip_8dig announce_date
format announce_date %tdCCYYNNDD
sort cusip_8dig announce_date
export delimited using rivals_for_neg_ann_input.txt, delimiter(tab) novarnames replace
