*==============================================================
* STATA Finance Research Project-Layoff announcements
*==============================================================

*** This version: 03/17/2020


*==============================================================
* EVENTUS CLEAN-UP FOR SIC 3-DIGIT CLASSIFICATION
*==============================================================

clear all
set more off
capture log close
set logtype text

cd "D:\Dropbox\Research\Contagion effects of layoffs\August2017\JMCB Revision\Ref A - Comment 1"
/*This command allows me to access .dta files in my personal folder.  If need be
change to the desired directory*/


*==============================================================
* CARs GENERATED BASED ON Market MODEL - SIC
*==============================================================

use layoff_date_rets_sic_refa1, clear
format original_eventdat %tdCCYYNNDD

tab restype
duplicates drop cusip eventdat restype car_window_1, force
drop if restype!="MM"

rename request_file_cusip cusip_8dig
rename original_eventdat announce_date
rename car_window_1 car_refa1_1
rename car_window_2 car_refa1_2
rename car_window_3 car_refa1_3
rename car_window_4 car_refa1_4
rename car_window_5 car_refa1_5
rename car_window_6 car_refa1_6
rename car_window_7 car_refa1_7
rename car_window_8 car_refa1_8

keep cusip_8dig announce_date permno car_refa1_1 car_refa1_2 car_refa1_3 ///
car_refa1_4 car_refa1_5 car_refa1_6 car_refa1_7 car_refa1_8

saveold eventus_MM_sic_refa1, replace