*==============================================================
* Rival Growth Prospects & Equity Prices: Evidence from Layoffs
*==============================================================

* Authors: Bordeman, Kannan, Pinheiro
* Objective: Generate placebo dates for primary sample
* Data Sources: Factiva - Layoff data    

clear all
set more off
capture log close
set logtype text

cd "/Users/bkannan/Dropbox/Research/Contagion effects of layoffs/BKP codes and data/Data/placebo files"

use announcer_list_for_placebo


*Creating a placebo date for each announcement based on a uniform random distribution
*** Note: This will give you a new set of dates every time you run the code
 gen placebo_date = floor((mdy(12,31,2010)-mdy(1,1,1980)+1)*runiform() + mdy(1,1,1980))
 format placebo_date %tdCCYYNNDD
 gen fyear = year(placebo_date)
 
*Checking date generation 
quantile placebo_date

saveold placebo_announcers_readyforstep2, replace

