*==============================================================
* STATA Finance Research Project-Layoff announcements
*==============================================================
/*
This version: 03/22/2017

*/

*==============================================================
* Creating a file for the number of layoffs by a firm
*==============================================================
clear all
set more off
capture log close
set logtype text

cd "D:\Dropbox\Research\Contagion effects of layoffs\Layoff Data files\february2017\Data"

/*This command allows me to access .dta files in my personal folder.  If need be
change to the desired directory*/

use layoff_temp_for_distance, clear
keep if announcer==1
keep gvkey announce_date
sort gvkey announce_date
by gvkey: gen j = _n
rename announce_date layoff_time
reshape wide layoff_time, i(gvkey) j(j)

saveold layoff_times_Bharad, replace

*==============================================================
* Creating a file for the distance between layoffs
*==============================================================
clear all
set more off
capture log close
set logtype text

cd "D:\Dropbox\Research\Contagion effects of layoffs\Layoff Data files\february2017\Data"

/*This command allows me to access .dta files in my personal folder.  If need be
change to the desired directory*/

use layoff_temp_for_distance, clear
keep if announcer==1
keep gvkey announce_date
format announce_date %td
sort gvkey announce_date
by gvkey: gen days_prev_ann = announce_date[_n] - announce_date[_n-1]
gen within_100days =0
replace within_100days=1 if days_prev_ann<=100

saveold distance_ann_Bharad.dta, replace
